Subject: bug#7507: 24.0.50; GDB dialog: default should not be `Yes' if GDB is not installed

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Apr 2016 14:12:19 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 28 Apr 2016 11:38:32 +0200
> 
> > FWIW, I don't think trying to detect whether GDB is installed when
> > displaying that dialog is a reasonable request.  That dialog is
> > displayed when Emacs is already in bad trouble, so embarking on a
> > non-trivial journey trying to find gdb.exe somewhere on the system,
> > which involves issuing quite a few system calls, doesn't sound like a
> > good idea.
> 
> But presumably Emacs has to do the `executable-find' thing to call gdb,
> anyway?

No.  The user is instructed (in the dialog text) to attach GDB to the
running Emacs process.  So it's the user who should know how to invoke
GDB, Emacs doesn't.

> And ending up in a situation where we're offering to send a bug
> report to Microsoft sounds less than optimal...

If the user doesn't want to debug Emacs, she should click "No", or
type TAB, then RET, and then no report will be sent anywhere.